Package org.apache.tomcat.util.buf

# Class ByteBufferHolder

java.lang.Object
org.apache.tomcat.util.buf.ByteBufferHolder

public class ByteBufferHolder extends Object
Simple wrapper for a `ByteBuffer` that remembers if the buffer has been flipped or not.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ByteBufferHolder(ByteBuffer buf, boolean flipped)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `flip()`
  `ByteBuffer`
  `getBuf()`
  `boolean`
  `isFlipped()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ByteBufferHolder

    public ByteBufferHolder(ByteBuffer buf, boolean flipped)

- ## Method Details

  - ### getBuf

    public ByteBuffer getBuf()

  - ### isFlipped

    public boolean isFlipped()

  - ### flip

    public boolean flip()